name: plex-nvidia
services:
  plex:
    devices:
      - /dev/dri:/dev/dri
      - /dev/dvb:/dev/dvb
    environment:
      PGID: $PGID
      PUID: $PUID
      VERSION: docker
      CPU_FALLBACK: "true"
      NVIDIA_VISIBLE_DEVICES: all
    image: lscr.io/linuxserver/plex:1.41.3
    deploy:
      resources:
        reservations:
          memory: 256M
          devices:
            - capabilities:
                - gpu
    network_mode: host
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /config
      - type: bind
        source: /DATA/Media
        target: /Media
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run Plex as specified uid.
            zh_cn: 以指定的uid运行Plex
        - container: PGID
          description:
            en_us: Run Plex as specified gid.
            zh_cn: 以指定的gid运行Plex
        - container: VERSION
          description:
            en_us: Let Docker handle the Plex Version
            zh_cn: 让Docker处理Plex版本
      volumes:
        - container: /config
          description:
            en_us: Plex config directory.
            zh_cn: Plex配置目录
        - container: /Media
          description:
            en_us: Plex Media directory.
            zh_cn: Plex媒体目录
    container_name: plex
x-casaos:
  architectures:
    - amd64
    - arm64
  main: plex
  author: CasaOS Team
  category: Media
  description:
    en_us: |
      Transform your home into a cinematic oasis with your very own media server. Unlike streaming platforms that compress and limit the quality of your content, a Plex server in your home allows you to maintain the pristine, high-bitrate glory of Blu-ray and beyond. Imagine pairing this high-fidelity, uninterrupted media access with cutting-edge home theater tech like VR headsets, 75-inch UHD TVs, or 100-inch laser projectors. The result? A breathtaking visual and auditory experience that streams seamlessly across TVs and mobile devices alike, right from the comfort of your couch. 

      Deploy Plex on a Zima devices and unlock the ultimate in home entertainment convenience. Enjoy ALMOST limitless storage capacity for your entire media library, lightning-fast local network speeds, and the ability to stream content effortlessly to any device in your home. Experience a world where your favorite shows and movies are always just a click away, stored securely and privately on your own terms.
    zh_cn: |
      将您的家变成一个电影的绿洲，拥有您自己的媒体服务器。与压缩和限制内容质量的流媒体平台不同，家中的 Plex 服务器可以让您保持 Blu-ray 及更高格式的原始高比特率荣耀。想象一下，将这种高保真、无中断的媒体访问与前沿的家庭影院技术相结合，如 VR 头戴显示器、75 英寸 UHD 电视或 100 英寸激光投影仪。结果是什么？在您家中沙发上就能享受的令人惊叹的视觉和听觉体验，流畅地在电视和移动设备上播放。

      在 Zima 设备上部署 Plex，解锁家庭娱乐便利的极致。享受几乎无限的存储容量，用于存放您的整个媒体库，闪电般快速的本地网络速度，并能够轻松地将内容流式传输到家中的任何设备。体验一个世界，在那里您喜爱的节目和电影始终触手可及，安全且私密地存储在您自己的设备上。
  developer: Plex
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Plex/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Plex/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Plex/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Plex/screenshot-3.png
  tagline:
    en_us: Stream Movies & TV Shows
    zh_cn: 流式播放电影和电视剧
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Plex/thumbnail.png
  tips:
    before_install:
      en_us: |
        ## Plex

        #### Stream Movies & TV Shows <br>

        *FAQ*
        Authorized Files and Data to Plex

        1. Click setting via top right menu of App icon
        2. map your device's media location in 'Host Path' and link it to Plex's 'Container Path' at /Media for seamless access.
          To add a media library in Plex
        3. Go to Plex settings
        4. click 'Add Library'
        5. select your media type, and specify the path, such as /Media, where your media files are stored for Plex to catalog and include in your library.
      zh_cn: |
        ## Plex

        #### 常见问题解答

        *FAQ*
        授权文件和数据给 Plex

        1. 点击应用程序图标右上角的设置菜单。
        2. 在“主机路径”中映射您设备的媒体位置，并将其链接到 Plex 的“容器路径”/Media 以实现无缝访问。
          要在 Plex 中添加媒体库：
        3. 进入 Plex 设置。
        4. 点击“添加库”。
        5. 选择您的媒体类型，并指定路径，例如 /Media，Plex 将存储和编目您的媒体文件，并将其包含在您的库中。
  title:
    en_us: Plex(Nvidia GPU)
  index: /web/index.html
  port_map: "32400"
